Skip to main content

App item

An app item represents an content object owned by an application. It can group files and folders together from different paths. That set can be shared through a collaboration.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this app item.
typeenum<string>YesThe value will always be app_item. Available options: app_item.
application_typestringYesThe type of the app that owns this app item.
Example
{
  "id": "12345678",
  "type": "app_item",
  "application_type": "hubs"
}

App item association

An app item association represents an association between a file or folder and an app item. Associations between a folder and an app item cascade down to all descendants of the folder.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this app item association.
typeenum<string>YesThe value will always be app_item_association. Available options: app_item_association.
app_itemApp itemYesThe app item which is associated with the file or folder.
itemApp item associated itemYes
Example
{
  "id": "12345678",
  "type": "app_item_association",
  "app_item": {
    "id": "12345678",
    "type": "app_item",
    "application_type": "hubs"
  },
  "item": {
    "id": "12345",
    "etag": "1",
    "type": "file"
  }
}

App item associations

A list of app item associations.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of App item associationNo
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "12345678",
      "type": "app_item_association",
      "app_item": {
        "id": "12345678",
        "type": "app_item",
        "application_type": "hubs"
      },
      "item": {
        "id": "12345",
        "etag": "1",
        "type": "file"
      }
    }
  ]
}
Last modified on July 9, 2026